<?php

namespace App\Mail;

use App\Models\Association;
use App\Models\Election;
use Illuminate\Mail\Mailables\Content;

class NominationOpenMail extends BaseGuildMail
{
    public function __construct(
        public Election $election,
        public Association $association,
    ) {
        $this->withAssociation($association);
    }

    protected function getSubject(): string
    {
        return "Nominations Now Open: {$this->election->title}";
    }

    public function content(): Content
    {
        return new Content(
            view: 'emails.election.nomination-open',
        );
    }
}
